SeExpr

Public Slots | Signals | Public Member Functions | Public Attributes | Private Types | Private Attributes | List of all members
ExprCurve Class Reference

`#include <ExprCurve.h>`

Inheritance diagram for ExprCurve:

## Public Slots
void | cvSelectedSlot (double pos, double val, T_INTERP interp)
void | selPosChanged ()
void | selValChanged ()
void | openDetail ()

## Signals
void | selPosChangedSignal (double pos)
void | selValChangedSignal (double val)

## Public Member Functions
| ExprCurve (QWidget *parent=0, QString pLabel="", QString vLabel="", QString iLabel="", bool expandable=true)
| ~ExprCurve ()
void | addPoint (const double x, const double y, const T_INTERP interp, bool select=false)

## Public Attributes
CurveScene * | _scene

## Private Types
typedef SeExpr2::Curve< double > | T_CURVE
typedef T_CURVE::InterpType | T_INTERP

## Private Attributes
QLineEdit * | _selPosEdit
QLineEdit * | _selValEdit
QComboBox * | _interpComboBox

## Detailed Description

Definition at line 116 of file ExprCurve.h.

## Member Typedef Documentation

## ◆ T_CURVE

typedef SeExpr2::Curve<double> ExprCurve::T_CURVE
| private

Definition at line 119 of file ExprCurve.h.

## ◆ T_INTERP

typedef T_CURVE::InterpType ExprCurve::T_INTERP
| private

Definition at line 120 of file ExprCurve.h.

## Constructor & Destructor Documentation

## ◆ ExprCurve()

ExprCurve::ExprCurve | ( | QWidget * | parent = `0`,
|  | QString | pLabel = `""`,
|  | QString | vLabel = `""`,
|  | QString | iLabel = `""`,
|  | bool | expandable = `true`
| ) |  |

Definition at line 260 of file ExprCurve.cpp.

References _interpComboBox, _scene, _selPosEdit, _selValEdit, cvSelectedSlot(), openDetail(), selPosChanged(), selPosChangedSignal(), selValChanged(), and selValChangedSignal().

Referenced by openDetail().

## ◆ ~ExprCurve()

ExprCurve::~ExprCurve | ( |  | ) |
| inline

Definition at line 128 of file ExprCurve.h.

## Member Function Documentation

## ◆ addPoint()

void ExprCurve::addPoint | ( | const double | x,
|  | const double | y,
|  | const T_INTERP | interp,
|  | bool | select = `false`
| ) |  |

Definition at line 442 of file ExprCurve.cpp.

References _scene, CurveScene::addPoint(), x, and y.

Referenced by CurveControl::CurveControl(), and openDetail().

## ◆ cvSelectedSlot

void ExprCurve::cvSelectedSlot | ( | double | pos,
|  | double | val,
|  | T_INTERP | interp
| ) |  |
| slot

Definition at line 378 of file ExprCurve.cpp.

References _interpComboBox, _selPosEdit, and _selValEdit.

Referenced by ExprCurve().

## ◆ openDetail

void ExprCurve::openDetail | ( |  | ) |
| slot

Definition at line 403 of file ExprCurve.cpp.

References CurveScene::_cvs, _scene, addPoint(), SeExpr2::curve, CurveScene::emitCurveChanged(), ExprCurve(), and CurveScene::removeAll().

Referenced by ExprCurve().

## ◆ selPosChanged

void ExprCurve::selPosChanged | ( |  | ) |
| slot

Definition at line 389 of file ExprCurve.cpp.

References _selPosEdit, and selPosChangedSignal().

Referenced by ExprCurve().

## ◆ selPosChangedSignal

void ExprCurve::selPosChangedSignal | ( | double | pos | ) |
| signal

Referenced by ExprCurve(), and selPosChanged().

## ◆ selValChanged

void ExprCurve::selValChanged | ( |  | ) |
| slot

Definition at line 396 of file ExprCurve.cpp.

References _selValEdit, SeExpr2::clamp(), and selValChangedSignal().

Referenced by ExprCurve().

## ◆ selValChangedSignal

void ExprCurve::selValChangedSignal | ( | double | val | ) |
| signal

Referenced by ExprCurve(), and selValChanged().

## Member Data Documentation

## ◆ _interpComboBox

QComboBox* ExprCurve::_interpComboBox
| private

Definition at line 149 of file ExprCurve.h.

Referenced by cvSelectedSlot(), and ExprCurve().

## ◆ _scene

CurveScene* ExprCurve::_scene

Definition at line 133 of file ExprCurve.h.

Referenced by addPoint(), CurveControl::curveChanged(), CurveControl::CurveControl(), ExprCurve(), and openDetail().

## ◆ _selPosEdit

QLineEdit* ExprCurve::_selPosEdit
| private

Definition at line 147 of file ExprCurve.h.

Referenced by cvSelectedSlot(), ExprCurve(), and selPosChanged().

## ◆ _selValEdit

QLineEdit* ExprCurve::_selValEdit
| private

Definition at line 148 of file ExprCurve.h.

Referenced by cvSelectedSlot(), ExprCurve(), and selValChanged().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprCurve.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ExprCurve.cpp